<?xml version="1.0" encoding="US-ASCII"?>
<!--XBRL Document Created with WebFilings-->
<!-- -->
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <roleRef roleURI="http://www.haemonetics.com/role/AccumulatedOtherComprehensiveIncome" xlink:href="hae-20130629.xsd#AccumulatedOtherComprehensiveIncome" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/AccumulatedOtherComprehensiveIncomeDetails1" xlink:href="hae-20130629.xsd#AccumulatedOtherComprehensiveIncomeDetails1" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/AccumulatedOtherComprehensiveIncomeDetails2" xlink:href="hae-20130629.xsd#AccumulatedOtherComprehensiveIncomeDetails2" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/Acquisitions" xlink:href="hae-20130629.xsd#Acquisitions" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/AcquisitionsDetails" xlink:href="hae-20130629.xsd#AcquisitionsDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/AcquisitionsTables" xlink:href="hae-20130629.xsd#AcquisitionsTables" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/BasisOfPresentation" xlink:href="hae-20130629.xsd#BasisOfPresentation" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/BasisOfPresentationNarrativeDetails" xlink:href="hae-20130629.xsd#BasisOfPresentationNarrativeDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/CapitalizationOfSoftwareDevelopmentCosts" xlink:href="hae-20130629.xsd#CapitalizationOfSoftwareDevelopmentCosts" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/CapitalizationOfSoftwareDevelopmentCostsNarrativeDetails" xlink:href="hae-20130629.xsd#CapitalizationOfSoftwareDevelopmentCostsNarrativeDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/CommitmentsAndContingencies" xlink:href="hae-20130629.xsd#CommitmentsAndContingencies" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/CommitmentsAndContingenciesNarrativeDetails" xlink:href="hae-20130629.xsd#CommitmentsAndContingenciesNarrativeDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/ComprehensiveIncomeTables" xlink:href="hae-20130629.xsd#ComprehensiveIncomeTables" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/ConsolidatedBalanceSheets" xlink:href="hae-20130629.xsd#ConsolidatedBalanceSheets" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/ConsolidatedBalanceSheetsParentheticals" xlink:href="hae-20130629.xsd#ConsolidatedBalanceSheetsParentheticals" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/ConsolidatedStatementsOfCashFlows" xlink:href="hae-20130629.xsd#ConsolidatedStatementsOfCashFlows" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/ConsolidatedStatementsOfIncome" xlink:href="hae-20130629.xsd#ConsolidatedStatementsOfIncome" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurements" xlink:href="hae-20130629.xsd#DerivativesAndFairValueMeasurements" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsNarrativeDetails" xlink:href="hae-20130629.xsd#DerivativesAndFairValueMeasurementsNarrativeDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsScheduleOfEffectOfDerivativeInstrumentsDesignatedAsCashFlowHedgesAndThoseNotDesignatedAsHedgingInstrumentsDetails" xlink:href="hae-20130629.xsd#DerivativesAndFairValueMeasurementsScheduleOfEffectOfDerivativeInstrumentsDesignatedAsCashFlowHedgesAndThoseNotDesignatedAsHedgingInstrumentsDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsScheduleOfFairValueOfDerivativeInstrumentsAsTheyAppearInConsolidatedBalanceSheetsDetails" xlink:href="hae-20130629.xsd#DerivativesAndFairValueMeasurementsScheduleOfFairValueOfDerivativeInstrumentsAsTheyAppearInConsolidatedBalanceSheetsDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsScheduleOfFinancialAssetsAndFinancialLiabilitiesMeasuredAtFairValueOnRecurringBasisDetails" xlink:href="hae-20130629.xsd#DerivativesAndFairValueMeasurementsScheduleOfFinancialAssetsAndFinancialLiabilitiesMeasuredAtFairValueOnRecurringBasisDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsTables" xlink:href="hae-20130629.xsd#DerivativesAndFairValueMeasurementsTables" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/DocumentAndEntityInformation" xlink:href="hae-20130629.xsd#DocumentAndEntityInformation" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/EarningsPerShareEps" xlink:href="hae-20130629.xsd#EarningsPerShareEps" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/EarningsPerShareEpsScheduleOfEarningsPerShareReconciliationDetails" xlink:href="hae-20130629.xsd#EarningsPerShareEpsScheduleOfEarningsPerShareReconciliationDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/EarningsPerShareEpsTables" xlink:href="hae-20130629.xsd#EarningsPerShareEpsTables" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/IncomeTaxes" xlink:href="hae-20130629.xsd#IncomeTaxes" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/IncomeTaxesDetails" xlink:href="hae-20130629.xsd#IncomeTaxesDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/Inventories" xlink:href="hae-20130629.xsd#Inventories" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/InventoriesScheduleOfInventoriesDetails" xlink:href="hae-20130629.xsd#InventoriesScheduleOfInventoriesDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/InventoriesTables" xlink:href="hae-20130629.xsd#InventoriesTables" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/ProductWarranties" xlink:href="hae-20130629.xsd#ProductWarranties" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/ProductWarrantiesScheduleOfProductWarrantyLiabilityDetails" xlink:href="hae-20130629.xsd#ProductWarrantiesScheduleOfProductWarrantyLiabilityDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/ProductWarrantiesTables" xlink:href="hae-20130629.xsd#ProductWarrantiesTables" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/RecentAccountingPronouncements" xlink:href="hae-20130629.xsd#RecentAccountingPronouncements" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/Restructuring" xlink:href="hae-20130629.xsd#Restructuring" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/RestructuringNarrativeDetails" xlink:href="hae-20130629.xsd#RestructuringNarrativeDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/RestructuringScheduleOfRestructuringReserveByTypeOfCostDetails" xlink:href="hae-20130629.xsd#RestructuringScheduleOfRestructuringReserveByTypeOfCostDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/RestructuringTables" xlink:href="hae-20130629.xsd#RestructuringTables" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/SegmentInformation" xlink:href="hae-20130629.xsd#SegmentInformation" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/SegmentInformationRevenuesFromExternalCustomersDetails" xlink:href="hae-20130629.xsd#SegmentInformationRevenuesFromExternalCustomersDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/SegmentInformationTables" xlink:href="hae-20130629.xsd#SegmentInformationTables" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/StockBasedCompensation" xlink:href="hae-20130629.xsd#StockBasedCompensation" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/StockBasedCompensationAssumptionsUtilizedForEstimatingFairValueOfOptionGrantsDetails" xlink:href="hae-20130629.xsd#StockBasedCompensationAssumptionsUtilizedForEstimatingFairValueOfOptionGrantsDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/StockBasedCompensationNarrativeDetails" xlink:href="hae-20130629.xsd#StockBasedCompensationNarrativeDetails" xlink:type="simple" />
  <roleRef roleURI="http://www.haemonetics.com/role/StockBasedCompensationTables" xlink:href="hae-20130629.xsd#StockBasedCompensationTables" xlink:type="simple" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/AccumulatedOtherComprehensiveIncome" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/AccumulatedOtherComprehensiveIncomeDetails1" xlink:type="extended">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTax" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTax_629be1be-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="hae-20130629.xsd#hae_OtherComprehensiveIncomeLossbeforeReclassificationsNetofTax" xlink:label="loc_hae_OtherComprehensiveIncomeLossbeforeReclassificationsNetofTax_e32af920-f968-11e2-a68d-22000a9d039f" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTax_629be1be-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_hae_OtherComprehensiveIncomeLossbeforeReclassificationsNetofTax_e32af920-f968-11e2-a68d-22000a9d039f" xlink:type="arc" />
    <loc xlink:href="hae-20130629.xsd#hae_ReclassificationfromAccumulatedOtherComprehensiveIncomeCurrentPeriodNetofTax" xlink:label="loc_hae_ReclassificationfromAccumulatedOtherComprehensiveIncomeCurrentPeriodNetofTax_364b6a54-f969-11e2-a68d-22000a9d039f" xlink:type="locator" />
    <calculationArc order="2" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTax_629be1be-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_hae_ReclassificationfromAccumulatedOtherComprehensiveIncomeCurrentPeriodNetofTax_364b6a54-f969-11e2-a68d-22000a9d039f" xlink:type="arc" />
  </calculationLink>
  <calculationLink xlink:role="http://www.haemonetics.com/role/AccumulatedOtherComprehensiveIncomeDetails2" xlink:type="extended">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_NetIncomeLoss" xlink:label="loc_us-gaap_NetIncomeLoss_611bec6c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_OtherNonoperatingIncomeExpense" xlink:label="loc_us-gaap_OtherNonoperatingIncomeExpense_63d61950-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_611bec6c-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_OtherNonoperatingIncomeExpense_63d61950-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit_584ce050-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_611bec6c-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_IncomeTaxExpenseBenefit_584ce050-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
  </calculationLink>
  <calculationLink xlink:role="http://www.haemonetics.com/role/Acquisitions" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/AcquisitionsDetails" xlink:type="extended">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_BusinessAcquisitionPurchasePriceAllocationAssetsAcquiredLiabilitiesAssumedNet" xlink:label="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationAssetsAcquiredLiabilitiesAssumedNet_2e13a468-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_BusinessAcquisitionPurchasePriceAllocationCurrentAssetsInventory" xlink:label="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationCurrentAssetsInventory_2e45423e-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationAssetsAcquiredLiabilitiesAssumedNet_2e13a468-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationCurrentAssetsInventory_2e45423e-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_BusinessAcquisitionPurchasePriceAllocationPropertyPlantAndEquipment" xlink:label="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationPropertyPlantAndEquipment_2edb902c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationAssetsAcquiredLiabilitiesAssumedNet_2e13a468-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationPropertyPlantAndEquipment_2edb902c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_BusinessAcquisitionPurchasePriceAllocationAmortizableIntangibleAssets" xlink:label="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationAmortizableIntangibleAssets_2e4652a0-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationAssetsAcquiredLiabilitiesAssumedNet_2e13a468-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationAmortizableIntangibleAssets_2e4652a0-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="hae-20130629.xsd#hae_BusinessAcquisitionPurchasePriceAllocationOtherAssetsLiabilitiesNet" xlink:label="loc_hae_BusinessAcquisitionPurchasePriceAllocationOtherAssetsLiabilitiesNet_d359c8fc-6cad-11e2-9cb6-12313d1f36c6" xlink:type="locator" />
    <calculationArc order="4" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationAssetsAcquiredLiabilitiesAssumedNet_2e13a468-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_hae_BusinessAcquisitionPurchasePriceAllocationOtherAssetsLiabilitiesNet_d359c8fc-6cad-11e2-9cb6-12313d1f36c6" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_BusinessAcquisitionPurchasePriceAllocationGoodwillAmount" xlink:label="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationGoodwillAmount_2dfad1d6-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="5" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationAssetsAcquiredLiabilitiesAssumedNet_2e13a468-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_BusinessAcquisitionPurchasePriceAllocationGoodwillAmount_2dfad1d6-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
  </calculationLink>
  <calculationLink xlink:role="http://www.haemonetics.com/role/AcquisitionsTables" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/BasisOfPresentation" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/BasisOfPresentationNarrativeDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/CapitalizationOfSoftwareDevelopmentCosts" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/CapitalizationOfSoftwareDevelopmentCostsNarrativeDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/CommitmentsAndContingencies" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/CommitmentsAndContingenciesNarrativeDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/ComprehensiveIncomeTables" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/ConsolidatedBalanceSheets" xlink:type="extended">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_Assets" xlink:label="loc_us-gaap_Assets_2c254058-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_AssetsCurrent" xlink:label="loc_us-gaap_AssetsCurrent_2c23c494-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_2c254058-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_AssetsCurrent_2c23c494-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:label="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_30cfd000-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_2c23c494-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_30cfd000-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_AccountsReceivableNetCurrent" xlink:label="loc_us-gaap_AccountsReceivableNetCurrent_28c3463a-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_2c23c494-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_AccountsReceivableNetCurrent_28c3463a-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_InventoryNet" xlink:label="loc_us-gaap_InventoryNet_5b10f3ee-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_2c23c494-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_InventoryNet_5b10f3ee-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_DeferredTaxAssetsNetCurrent" xlink:label="loc_us-gaap_DeferredTaxAssetsNetCurrent_4735dba0-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="4" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_2c23c494-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_DeferredTaxAssetsNetCurrent_4735dba0-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_PrepaidExpenseAndOtherAssetsCurrent" xlink:label="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_66a1ef74-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="5" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_2c23c494-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_66a1ef74-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_PropertyPlantAndEquipmentNet" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentNet_683dcad8-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_2c254058-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentNet_683dcad8-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_PropertyPlantAndEquipmentGross" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentGross_683f0542-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_PropertyPlantAndEquipmentNet_683dcad8-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentGross_683f0542-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment" xlink:label="loc_us-gaap_AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment_29bfb410-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_PropertyPlantAndEquipmentNet_683dcad8-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment_29bfb410-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="hae-20130629.xsd#hae_TotalOtherAssets" xlink:label="loc_hae_TotalOtherAssets_cef4d27b-4285-59f2-ad92-01383047a67e" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_2c254058-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_hae_TotalOtherAssets_cef4d27b-4285-59f2-ad92-01383047a67e" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_FiniteLivedIntangibleAssetsNet" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsNet_544b59c8-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_hae_TotalOtherAssets_cef4d27b-4285-59f2-ad92-01383047a67e" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsNet_544b59c8-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_Goodwill" xlink:label="loc_us-gaap_Goodwill_567ea9de-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_hae_TotalOtherAssets_cef4d27b-4285-59f2-ad92-01383047a67e" xlink:to="loc_us-gaap_Goodwill_567ea9de-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_DeferredTaxAssetsNetNoncurrent" xlink:label="loc_us-gaap_DeferredTaxAssetsNetNoncurrent_475df306-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_hae_TotalOtherAssets_cef4d27b-4285-59f2-ad92-01383047a67e" xlink:to="loc_us-gaap_DeferredTaxAssetsNetNoncurrent_475df306-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_OtherAssetsNoncurrent" xlink:label="loc_us-gaap_OtherAssetsNoncurrent_62df8554-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="4" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_hae_TotalOtherAssets_cef4d27b-4285-59f2-ad92-01383047a67e" xlink:to="loc_us-gaap_OtherAssetsNoncurrent_62df8554-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_LiabilitiesAndStockholdersEquity" xlink:label="loc_us-gaap_LiabilitiesAndStockholdersEquity_5c4fc6ae-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_LiabilitiesCurrent" xlink:label="loc_us-gaap_LiabilitiesCurrent_5c188d92-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_5c4fc6ae-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_LiabilitiesCurrent_5c188d92-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_LongTermDebtCurrent" xlink:label="loc_us-gaap_LongTermDebtCurrent_5ea447fe-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_5c188d92-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_LongTermDebtCurrent_5ea447fe-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_AccountsPayableCurrent" xlink:label="loc_us-gaap_AccountsPayableCurrent_28d58084-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_5c188d92-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_AccountsPayableCurrent_28d58084-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_EmployeeRelatedLiabilitiesCurrent" xlink:label="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_4e9c764c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_5c188d92-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_4e9c764c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_AccruedIncomeTaxesCurrent" xlink:label="loc_us-gaap_AccruedIncomeTaxesCurrent_298c645c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="4" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_5c188d92-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_AccruedIncomeTaxesCurrent_298c645c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_OtherLiabilitiesCurrent" xlink:label="loc_us-gaap_OtherLiabilitiesCurrent_63d03724-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="5" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_5c188d92-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_OtherLiabilitiesCurrent_63d03724-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_LongTermDebtNoncurrent" xlink:label="loc_us-gaap_LongTermDebtNoncurrent_5ea4bd74-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_5c4fc6ae-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_LongTermDebtNoncurrent_5ea4bd74-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_DeferredTaxLiabilitiesNoncurrent" xlink:label="loc_us-gaap_DeferredTaxLiabilitiesNoncurrent_476c4866-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_5c4fc6ae-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_DeferredTaxLiabilitiesNoncurrent_476c4866-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_OtherLiabilitiesNoncurrent" xlink:label="loc_us-gaap_OtherLiabilitiesNoncurrent_63d8f7d8-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="4" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_5c4fc6ae-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_OtherLiabilitiesNoncurrent_63d8f7d8-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_StockholdersEquity" xlink:label="loc_us-gaap_StockholdersEquity_70895bd0-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="5" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_5c4fc6ae-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_StockholdersEquity_70895bd0-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_CommonStockValue" xlink:label="loc_us-gaap_CommonStockValue_34ddf442-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_70895bd0-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_CommonStockValue_34ddf442-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_AdditionalPaidInCapitalCommonStock" xlink:label="loc_us-gaap_AdditionalPaidInCapitalCommonStock_29c8cba4-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_70895bd0-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_AdditionalPaidInCapitalCommonStock_29c8cba4-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_RetainedEarningsAccumulatedDeficit" xlink:label="loc_us-gaap_RetainedEarningsAccumulatedDeficit_6b785646-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_70895bd0-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_RetainedEarningsAccumulatedDeficit_6b785646-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax" xlink:label="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_29c0ce5e-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="4" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_70895bd0-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_29c0ce5e-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
  </calculationLink>
  <calculationLink xlink:role="http://www.haemonetics.com/role/ConsolidatedBalanceSheetsParentheticals" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/ConsolidatedStatementsOfCashFlows" xlink:type="extended">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_60ef698a-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_PaymentsToAcquirePropertyPlantAndEquipment" xlink:label="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_651f66f4-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_60ef698a-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_651f66f4-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_ProceedsFromSaleOfPropertyPlantAndEquipment" xlink:label="loc_us-gaap_ProceedsFromSaleOfPropertyPlantAndEquipment_676ee9de-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_60ef698a-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_ProceedsFromSaleOfPropertyPlantAndEquipment_676ee9de-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_PaymentsToAcquireBusinessTwoNetOfCashAcquired" xlink:label="loc_us-gaap_PaymentsToAcquireBusinessTwoNetOfCashAcquired_64fee71c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_60ef698a-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_PaymentsToAcquireBusinessTwoNetOfCashAcquired_64fee71c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_60f52a96-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_RepaymentsOfLongTermDebt" xlink:label="loc_us-gaap_RepaymentsOfLongTermDebt_6ac93f3a-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_60f52a96-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_RepaymentsOfLongTermDebt_6ac93f3a-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_ProceedsFromRepaymentsOfShortTermDebt" xlink:label="loc_us-gaap_ProceedsFromRepaymentsOfShortTermDebt_6725bfa2-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_60f52a96-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_ProceedsFromRepaymentsOfShortTermDebt_6725bfa2-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_EmployeeStockOwnershipPlanESOPCashContributionsToESOP" xlink:label="loc_us-gaap_EmployeeStockOwnershipPlanESOPCashContributionsToESOP_4eaf4772-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_60f52a96-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_EmployeeStockOwnershipPlanESOPCashContributionsToESOP_4eaf4772-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_ProceedsFromStockOptionsExercised" xlink:label="loc_us-gaap_ProceedsFromStockOptionsExercised_67972912-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="4" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_60f52a96-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_ProceedsFromStockOptionsExercised_67972912-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_ExcessTaxBenefitFromShareBasedCompensationFinancingActivities" xlink:label="loc_us-gaap_ExcessTaxBenefitFromShareBasedCompensationFinancingActivities_4f6b30fe-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="5" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_60f52a96-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_ExcessTaxBenefitFromShareBasedCompensationFinancingActivities_4f6b30fe-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_NetIncomeLoss" xlink:label="loc_us-gaap_NetIncomeLoss_611bec6c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_NetIncomeLoss_611bec6c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_DepreciationAndAmortization" xlink:label="loc_us-gaap_DepreciationAndAmortization_48adbdfe-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_DepreciationAndAmortization_48adbdfe-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_ShareBasedCompensation" xlink:label="loc_us-gaap_ShareBasedCompensation_6ec09264-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_ShareBasedCompensation_6ec09264-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_GainLossOnSaleOfPropertyPlantEquipment" xlink:label="loc_us-gaap_GainLossOnSaleOfPropertyPlantEquipment_559e3eee-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="4" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_GainLossOnSaleOfPropertyPlantEquipment_559e3eee-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="hae-20130629.xsd#hae_ReversalOfInterestExpenseOnContingentConsideration" xlink:label="loc_hae_ReversalOfInterestExpenseOnContingentConsideration_11428d5c-78da-df95-d78d-013832e536e6" xlink:type="locator" />
    <calculationArc order="5" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_hae_ReversalOfInterestExpenseOnContingentConsideration_11428d5c-78da-df95-d78d-013832e536e6" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_IncreaseDecreaseInAccountsReceivable" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_58ea018c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="6" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_58ea018c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_IncreaseDecreaseInInventories" xlink:label="loc_us-gaap_IncreaseDecreaseInInventories_5962f3b2-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="7" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_IncreaseDecreaseInInventories_5962f3b2-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_IncreaseDecreaseInPrepaidTaxes" xlink:label="loc_us-gaap_IncreaseDecreaseInPrepaidTaxes_58a817f4-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="8" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_IncreaseDecreaseInPrepaidTaxes_58a817f4-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_TaxBenefitFromStockOptionsExercised1" xlink:label="loc_us-gaap_TaxBenefitFromStockOptionsExercised1_716c4378-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="9" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_TaxBenefitFromStockOptionsExercised1_716c4378-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities_59244f04-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="10" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities_59244f04-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_IncreaseDecreaseInOtherOperatingCapitalNet" xlink:label="loc_us-gaap_IncreaseDecreaseInOtherOperatingCapitalNet_5938d762-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="11" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_IncreaseDecreaseInOtherOperatingCapitalNet_5938d762-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_UnrealizedGainLossOnDerivatives" xlink:label="loc_us-gaap_UnrealizedGainLossOnDerivatives_730d5398-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="12" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_UnrealizedGainLossOnDerivatives_730d5398-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_AmortizationOfFinancingCosts" xlink:label="loc_us-gaap_AmortizationOfFinancingCosts_2b53ba88-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="13" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_AmortizationOfFinancingCosts_2b53ba88-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_AssetImpairmentCharges" xlink:label="loc_us-gaap_AssetImpairmentCharges_2ba9d292-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="14" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_611fd732-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_AssetImpairmentCharges_2ba9d292-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
  </calculationLink>
  <calculationLink xlink:role="http://www.haemonetics.com/role/ConsolidatedStatementsOfIncome" xlink:type="extended">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_NetIncomeLoss" xlink:label="loc_us-gaap_NetIncomeLoss_611bec6c-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments_5817da40-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_611bec6c-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments_5817da40-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_OperatingIncomeLoss" xlink:label="loc_us-gaap_OperatingIncomeLoss_624609ec-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments_5817da40-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_OperatingIncomeLoss_624609ec-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_GrossProfit" xlink:label="loc_us-gaap_GrossProfit_56a7c864-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_624609ec-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_GrossProfit_56a7c864-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_SalesRevenueGoodsNet" xlink:label="loc_us-gaap_SalesRevenueGoodsNet_6c240414-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_56a7c864-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_SalesRevenueGoodsNet_6c240414-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_CostOfGoodsSold" xlink:label="loc_us-gaap_CostOfGoodsSold_40414a32-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_56a7c864-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_CostOfGoodsSold_40414a32-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_OperatingExpenses" xlink:label="loc_us-gaap_OperatingExpenses_623a80b8-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_624609ec-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_OperatingExpenses_623a80b8-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_ResearchAndDevelopmentExpense" xlink:label="loc_us-gaap_ResearchAndDevelopmentExpense_6aef6d04-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_623a80b8-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_ResearchAndDevelopmentExpense_6aef6d04-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_SellingGeneralAndAdministrativeExpense" xlink:label="loc_us-gaap_SellingGeneralAndAdministrativeExpense_6e581cc0-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_623a80b8-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_SellingGeneralAndAdministrativeExpense_6e581cc0-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_OtherNonoperatingIncomeExpense" xlink:label="loc_us-gaap_OtherNonoperatingIncomeExpense_63d61950-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments_5817da40-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_OtherNonoperatingIncomeExpense_63d61950-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit_584ce050-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="-1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_611bec6c-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_IncomeTaxExpenseBenefit_584ce050-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
  </calculationLink>
  <calculationLink xlink:role="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurements" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsNarrativeDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsScheduleOfEffectOfDerivativeInstrumentsDesignatedAsCashFlowHedgesAndThoseNotDesignatedAsHedgingInstrumentsDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsScheduleOfFairValueOfDerivativeInstrumentsAsTheyAppearInConsolidatedBalanceSheetsDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsScheduleOfFinancialAssetsAndFinancialLiabilitiesMeasuredAtFairValueOnRecurringBasisDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/DerivativesAndFairValueMeasurementsTables" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/DocumentAndEntityInformation" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/EarningsPerShareEps" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/EarningsPerShareEpsScheduleOfEarningsPerShareReconciliationDetails" xlink:type="extended">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:label="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_741fe8a4-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" xlink:label="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_7416e4b6-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_741fe8a4-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_7416e4b6-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment" xlink:label="loc_us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_7442f1b4-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_741fe8a4-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_7442f1b4-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
  </calculationLink>
  <calculationLink xlink:role="http://www.haemonetics.com/role/EarningsPerShareEpsTables" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/IncomeTaxes" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/IncomeTaxesDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/Inventories" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/InventoriesScheduleOfInventoriesDetails" xlink:type="extended">
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_InventoryNet" xlink:label="loc_us-gaap_InventoryNet_5b10f3ee-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_InventoryRawMaterialsNetOfReserves" xlink:label="loc_us-gaap_InventoryRawMaterialsNetOfReserves_5b016a00-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="1" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_5b10f3ee-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_InventoryRawMaterialsNetOfReserves_5b016a00-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_InventoryWorkInProcessNetOfReserves" xlink:label="loc_us-gaap_InventoryWorkInProcessNetOfReserves_5b172430-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="2" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_5b10f3ee-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_InventoryWorkInProcessNetOfReserves_5b172430-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
    <loc xlink:href="http://xbrl.fasb.org/us-gaap/2012/elts/us-gaap-2012-01-31.xsd#us-gaap_InventoryFinishedGoodsNetOfReserves" xlink:label="loc_us-gaap_InventoryFinishedGoodsNetOfReserves_5afe7bba-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="locator" />
    <calculationArc order="3" weight="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_5b10f3ee-78f6-11e1-94fe-25ba39ebf1f4" xlink:to="loc_us-gaap_InventoryFinishedGoodsNetOfReserves_5afe7bba-78f6-11e1-94fe-25ba39ebf1f4" xlink:type="arc" />
  </calculationLink>
  <calculationLink xlink:role="http://www.haemonetics.com/role/InventoriesTables" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/ProductWarranties" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/ProductWarrantiesScheduleOfProductWarrantyLiabilityDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/ProductWarrantiesTables" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/RecentAccountingPronouncements" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/Restructuring" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/RestructuringNarrativeDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/RestructuringScheduleOfRestructuringReserveByTypeOfCostDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/RestructuringTables" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/SegmentInformation" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/SegmentInformationRevenuesFromExternalCustomersDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/SegmentInformationTables" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/StockBasedCompensation" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/StockBasedCompensationAssumptionsUtilizedForEstimatingFairValueOfOptionGrantsDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/StockBasedCompensationNarrativeDetails" xlink:type="extended" />
  <calculationLink xlink:role="http://www.haemonetics.com/role/StockBasedCompensationTables" xlink:type="extended" />
</linkbase>
